## python-prance 25.4.8.0+ds1

=== requirements.txt ===
-e .[dev,ssv,osv,icu,cli]

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*
	rm -rf source/api/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/prance.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/prance.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/prance"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/prance"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-prance (25.4.8.0+ds1-2) unstable; urgency=medium

  * Use watch v5.
  * Drop Rules-Requires-Root: no.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 17 Oct 2025 23:32:23 +0200

python-prance (25.4.8.0+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #1111459)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 18 Aug 2025 11:21:33 +0200

=== debian/control ===
Source: python-prance
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Priority: optional
Standards-Version: 4.7.2
Section: python
Homepage: https://github.com/RonnyPfannschmidt/prance
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click,
 python3-openapi-spec-validator,
 python3-pytest,
 python3-pytest-cov,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
Vcs-Git: https://salsa.debian.org/python-team/packages/python-prance.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-prance
Testsuite: autopkgtest-pkg-pybuild

Package: python3-prance
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: resolving parser for Swagger/OpenAPI API specs (Python library)
 Prance provides parsers for Swagger/OpenAPI 2.0 and 3.0 API
 specifications in Python.
 .
 Swagger.io is an infrastructure to jointly develop, implement
 and test the programmed remote access to computational resources.
 .
 The OpenAPI Specification (OAS), formerly known as the Swagger
 Specification, is the world’s standard for defining RESTful
 interfaces. The OAS enables developers to design a
 technology-agnostic API interface that forms the basis of their API
 development and consumption.
 .
 The package uses openapi_spec_validator, swagger_spec_validator or
 flex to validate specifications, but additionally resolves JSON
 references in accordance with the OpenAPI spec.
 .
 This package contains the Python library.

Package: prance
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 python3-click,
 python3-openapi-spec-validator | python3-swagger-spec-validator,
 python3-prance,
 ${misc:Depends},
 ${python3:Depends},
Description: resolving parser for Swagger/OpenAPI API specs (command-line tool)
 Prance provides parsers for Swagger/OpenAPI 2.0 and 3.0 API
 specifications in Python.
 .
 Swagger.io is an infrastructure to jointly develop, implement
 and test the programmed remote access to computational resources.
 .
 The OpenAPI Specification (OAS), formerly known as the Swagger
 Specification, is the world’s standard for defining RESTful
 interfaces. The OAS enables developers to design a
 technology-agnostic API interface that forms the basis of their API
 development and consumption.
 .
 The package uses openapi_spec_validator, swagger_spec_validator or
 flex to validate specifications, but additionally resolves JSON
 references in accordance with the OpenAPI spec.
 .
 This package contains the command-line tool 'prance'.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export PYBUILD_TEST_ARGS= -k 'not test_convert_defaults and not test_convert_output and not test_fetch_url_http and not test_convert_petstore_yaml and not test_convert_petstore_json and not test_convert_petstore_yaml_explicit_name and not test_convert_url and not test_convert_spec and not test_convert_parser_lazy_swagger_backend and not test_convert_parser_validated'

%:
	dh $@ --buildsystem=pybuild

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

execute_before_dh_installman:
	mkdir -pv $(M)
	env PYTHONPATH=$(CURDIR) \
	help2man --version-string="$(DEB_VERSION)" \
		--no-info \
		--name="resolving parser for Swagger/OpenAPI API specs" \
		--output $(M)/prance.1 \
		$(B)/prance

=== debian/tests/control ===
Test-Command: prance --help
Features:
 test-name=prance--help,
Depends:
 prance,

Test-Command: prance --version
Features:
 test-name=prance--version,
Depends:
 prance,

Test-Command: prance compile tests/specs/issue_1.json
Features:
 test-name=prance-compile-issue-1,
Depends:
 prance,

Test-Command: prance validate tests/specs/issue_1.json
Features:
 test-name=prance-default-issue-1,
Depends:
 prance,

Test-Command: prance validate --backend openapi-spec-validator tests/specs/issue_1.json
Features:
 test-name=prance-openapi-issue-1,
Depends:
 prance,
 python3-openapi-spec-validator,

Test-Command: prance validate --backend swagger-spec-validator tests/specs/issue_1.json
Features:
 test-name=prance-swagger-issue-1,
Depends:
 prance,
 python3-swagger-spec-validator,

Test-Command: ! prance validate tests/specs/issue_5.yaml
Features:
 test-name=prance-issue-5-xfail,
Depends:
 prance,
Restrictions:
 allow-stderr,

Test-Command: prance validate --no-strict tests/specs/issue_5.yaml
Features:
 test-name=prance-issue-5-nostrict,
Depends:
 prance,

Test-Command: prance validate --no-strict tests/specs/issue_36.yaml
Features:
 test-name=prance-openapi-issue-36-version3,
Depends:
 prance,
 python3-openapi-spec-validator,

Test-Command: ! prance validate --backend swagger-spec-validator --no-strict tests/specs/issue_36.yaml
Features:
 test-name=prance-swagger-issue-36-version3-xfail,
Depends:
 prance,
 python3-swagger-spec-validator,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5
Source: https://pypi.debian.net/prance/
Matching-Pattern: prance-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Dversionmangle: s/\+ds1//
Repack: yes
Repacksuffix: +ds1
